Compare commits

...

No commits in common. "c8" and "c8s" have entirely different histories.
c8 ... c8s

12 changed files with 85 additions and 2 deletions

1
.fmf/version Normal file
View File

@ -0,0 +1 @@
1

3
.gitignore vendored
View File

@ -1 +1,2 @@
SOURCES/libva-2.13.0.tar.gz /libva-*.tar.bz2
/libva-*.tar.gz

View File

@ -1 +0,0 @@
519444a1c96d8f485d8e56d4445eb53168c9c4e1 SOURCES/libva-2.13.0.tar.gz

6
gating.yaml Normal file
View File

@ -0,0 +1,6 @@
--- !Policy
product_versions:
- rhel-8
decision_context: osci_compose_gate
rules:
- !PassingTestCaseRule {test_case_name: osci.brew-build.tier0.functional}

11
plans/basic.fmf Normal file
View File

@ -0,0 +1,11 @@
---
/:
inherit: false
summary: Plan for running all tests
discover:
how: fmf
execute:
how: tmt

1
sources Normal file
View File

@ -0,0 +1 @@
SHA512 (libva-2.13.0.tar.gz) = 226d09956754c9942348ed289f210268bad64dbba95d948b33ae063f7ecb276af9da083a48c03c3c79ad4305716d203898bc75a109945d064a5fe6fb43398dea

22
tests/main.fmf Normal file
View File

@ -0,0 +1,22 @@
test: ./runtests.sh
duration: 15m
recommend:
- git
- wget
- rpm-build
- redhat-rpm-config
- autoconf
- automake
- libtool
- pkgconfig
- make
- gcc
- gcc-c++
- libX11
- libX11-devel
- libdrm
- libdrm-devel
- libva
- libva-devel
- wayland-devel
framework: shell

42
tests/runtests.sh Executable file
View File

@ -0,0 +1,42 @@
#!/bin/bash
function error() {
echo "$0: Error: $*" >&2
exit 1
}
function tarball_fullname() {
ls -1 $1.tar.* | head -1
}
function tarball_exists() {
ls -1 $1.tar.* > /dev/null 1>&2 && test -s $(tarball_fullname $1)
}
# Script directory is now a working directory.
cd $(dirname $0) || error "cannot cd to $(dirname $0)"
git clone https://github.com/intel/libva-utils --no-tags --no-checkout || error "cannot git clone intel/libva-utils"
# Enter the directory with unpacked sources.
cd libva-utils || error "cannot cd to libva-utils"
GIT_COMMIT_LIBVA="7bad184b2cf2ffaf4fb3cc71d4df63d7b142d592"
git reset --hard ${GIT_COMMIT_LIBVA} || error "cannot checkout the commit ${GIT_COMMIT_LIBVA}"
# Build the tests.
autoreconf -fvi || error "cannot reconfigure libva-utils"
rpm --eval '%configure --enable-tests' > configure.wrap || error "cannot wrap configure"
bash configure.wrap || error "cannot configure libva-utils"
make || error "cannot build libva-utils"
# These tests can run also in VM (other needs real working graphic adapter).
GTEST_FILTER='Internal.Resolution'
GTEST_FILTER="${GTEST_FILTER}:VAAPIFixture.getDisplay"
GTEST_FILTER="${GTEST_FILTER}:VAAPIInitTerminate.vaInitialize_vaTerminate_Bad_Environment"
GTEST_FILTER="${GTEST_FILTER}:VAAPIInitTerminate.vaInitialize_vaTerminate_Bad_vaSetDriverName"
GTEST_FILTER="${GTEST_FILTER}:VAAPIInitTerminate.InitTermWithoutDisplay"
export GTEST_FILTER
# Run the tests.
./test/test_va_api